## org.eclipse.datatools.modelbase.sql.routines.impl
Class MethodImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.routines.impl.RoutineImpl
                  org.eclipse.datatools.modelbase.sql.routines.impl.FunctionImpl
                      org.eclipse.datatools.modelbase.sql.routines.impl.MethodImpl

All Implemented Interfaces:
  Function, Method, Routine, SQLObject

    public class MethodImpl

extends FunctionImpl
implements Method

An implementation of the model object 'Method'.

The following features are implemented:

- `Overriding`
- `Constructor`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`boolean` `isConstructor()`
`boolean` `isOverriding()`
`void` `setConstructor(boolean newConstructor)`
`void` `setOverriding(boolean newOverriding)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.routines.impl.FunctionImpl
`basicSetReturnCast, basicSetReturnScalar, basicSetReturnTable, eInverseRemove, getReturnCast, getReturnScalar, getReturnTable, getTransformGroup, isMutator, isNullCall, isStatic, isTypePreserving, setMutator, setNullCall, setReturnCast, setReturnScalar, setReturnTable, setStatic, setTransformGroup, setTypePreserving`

Methods inherited from class org.eclipse.datatools.modelbase.sql.routines.impl.RoutineImpl

`basicGetSchema, basicSetSchema, basicSetSource, eInverseAdd, getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameters, getParameterStyle, getSchema, getSecurity, getSource, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Function
`getReturnCast, getReturnScalar, getReturnTable, getTransformGroup, isMutator, isNullCall, isStatic, isTypePreserving, setMutator, setNullCall, setReturnCast, setReturnScalar, setReturnTable, setStatic, setTransformGroup, setTypePreserving`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Routine

`getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameters, getParameterStyle, getSchema, getSecurity, getSource, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### isOverriding

    public boolean isOverriding()

  Specified by:
    `isOverriding` in interface `Method`
  Returns:
    the value of the 'Overriding' attribute.
  See Also:
    `Method.setOverriding(boolean)`, `SQLRoutinesPackage.getMethod_Overriding()`

### setOverriding

    public void setOverriding(boolean newOverriding)

  Specified by:
    `setOverriding` in interface `Method`
  Parameters:
    `newOverriding` - the new value of the 'Overriding' attribute.
  See Also:
    `Method.isOverriding()`

### isConstructor

    public boolean isConstructor()

  Specified by:
    `isConstructor` in interface `Method`
  Returns:
    the value of the 'Constructor' attribute.
  See Also:
    `Method.setConstructor(boolean)`, `SQLRoutinesPackage.getMethod_Constructor()`

### setConstructor

    public void setConstructor(boolean newConstructor)

  Specified by:
    `setConstructor` in interface `Method`
  Parameters:
    `newConstructor` - the new value of the 'Constructor' attribute.
  See Also:
    `Method.isConstructor()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `FunctionImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `FunctionImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `FunctionImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `FunctionImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `FunctionImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.